Subject: Re: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Nov 2017 17:35:44 +0200

> From: "John Wiegley" <[email-masked]>
> Cc: Noam Postavsky <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 25 Nov 2017 19:21:49 -0800
> 
> >>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
> 
> EZ> That's one way of looking at Eshell, although it's not my way. Eshell was
> EZ> intended to be used from Lisp programs, and that's why its built-ins
> EZ> accept Lisp objects, values, and expressions as arguments.
> 
> Eshell was intended to be a UNIX-like environment on non-UNIX systems, and as
> a bonus to provide useful interactions with Lisp. It wasn't built first as a
> Lisp interaction mode.

Well, maybe historically I'm wrong, but factually I'm right: what we
have now is a shell that can act on Lisp objects and Lisp expressions,
and this fact is even documented in the manual.  I personally find
this feature useful and a lot of fun, and I think it would be a pity
to lose it.